Page MenuHomePhabricator

Make VisualEditor transaction processing exception-safe
Closed, ResolvedPublic40 Story Points

Description

If an exception occurs while processing a transaction, we should roll it back safely, so the converter will still work and the user can still save or bail to source mode.


Version: unspecified
Severity: enhancement

Details

Reference
bz68892

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 3:38 AM
bzimport set Reference to bz68892.
Catrope created this task.Jul 31 2014, 1:08 AM

Change 152776 had a related patch set uploaded by Jforrester:
Queue up annotation changes to make operations safer

https://gerrit.wikimedia.org/r/152776

Change 152776 merged by jenkins-bot:
Queue up annotation changes to make operations safer

https://gerrit.wikimedia.org/r/152776

Operations are now queued but exceptions aren't caught yet.

Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF raised the priority of this task from Normal to High.Feb 3 2015, 5:05 PM

Change 195361 had a related patch set uploaded (by Catrope):
Make transaction processing exception-safe

https://gerrit.wikimedia.org/r/195361

Jdforrester-WMF renamed this task from VisualEditor: Make transaction processing exception-safe to Make VisualEditor transaction processing exception-safe.Mar 10 2015, 4:42 PM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF moved this task from Accepted to Done on the VisualEditor 2014/15 Q3 blockers board.

Change 195361 merged by jenkins-bot:
Make transaction processing exception-safe

https://gerrit.wikimedia.org/r/195361